
/*****************************************************************************
 * GWCI    GNOME Web CGI Interface                                           *
 * A GNOME panel applet that accepts entrybox input and appends the result   *
 * a launcher command. Does URL armoring if the given string, intended to    *
 * launcher web browsers to make web searches and other cgi activities a     *
 * little easier.                                                            *
 *                                                                           *
 * Copyright (C) 2000 Erik Greenwald <erik@smluc.org>                        *
 * This program is free software; you can redistribute it and/or modify      * 
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ****************************************************************************/

#include <gtk/gtk.h>
#include <applet-widget.h>

#include "about.h"
#include "conf.h"
#include "armor.h"

GtkWidget *popup;

gboolean
text_keypress (GtkWidget * t, GdkEventKey * e, gpointer w)
{
    char *buf, *cmd;

    switch (e->keyval)
    {
    case GDK_Escape:
	gtk_widget_destroy (popup);
	break;
    case GDK_Return:
	cmd = (char *) malloc (BUFSIZ);
	buf = (char *) malloc (BUFSIZ);
	memset (cmd, 0, BUFSIZ);
	snprintf (cmd, BUFSIZ - 1, "%s%s &", (char *) w,
		  armor (buf, gtk_entry_get_text (GTK_ENTRY (t))));
	free (buf);
	gtk_widget_destroy (popup);
	system (cmd);
	free (cmd);
	break;
    default:
	return FALSE;
	break;
    }
    return TRUE;
}

void
boxinate (GtkWidget * w, gpointer word)
{
    GtkWidget *text;

    popup = gtk_window_new (GTK_WINDOW_POPUP);
    text = gtk_entry_new_with_max_length (65);
    gtk_entry_set_visibility (GTK_ENTRY (text), TRUE);
    gtk_window_set_focus (GTK_WINDOW (popup), text);
    gtk_window_set_modal (GTK_WINDOW (popup), TRUE);
    gtk_editable_set_editable (GTK_EDITABLE (text), TRUE);
    gtk_container_add (GTK_CONTAINER (popup), text);
    gtk_window_set_position (GTK_WINDOW (popup), GTK_WIN_POS_MOUSE);
    gtk_signal_connect (GTK_OBJECT (text), "key_press_event",
			GTK_SIGNAL_FUNC (text_keypress), word);
    gtk_widget_show_all (popup);
    return;
}
