
/*****************************************************************************
 * GWCI    GNOME Web CGI Interface                                           *
 * A GNOME panel applet that accepts entrybox input and appends the result   *
 * a launcher command. Does URL armoring if the given string, intended to    *
 * launcher web browsers to make web searches and other cgi activities a     *
 * little easier.                                                            *
 *                                                                           *
 * Copyright (C) 2000 Erik Greenwald <erik@smluc.org>                        *
 * This program is free software; you can redistribute it and/or modify      * 
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char *
armor (char *s, char *string)
{
    int i, j, len;

    if (s == NULL || string == NULL)
	return NULL;
    len = (int) strlen (string);
    i = j = 0;
    while (i < BUFSIZ && i < len)
	isalnum ((int) string[i]) ? s[j++] =
	    string[i++] : (char) sprintf (&s[j += 3, j - 3], "%%%02X",
					  (unsigned int) string[i++]);
    s[j] = 0;
    return s;
}

#ifdef DESTRUCTIVE_ARMOR
	/*
	 * destructive armor 
	 */
char *
armord (char *s, char *string)
{
    s = armor (string);
    free (string);
    return s;
}
#endif
