
/*****************************************************************************
 * GWCI    GNOME Web CGI Interface                                           *
 * A GNOME panel applet that accepts entrybox input and appends the result   *
 * a launcher command. Does URL armoring if the given string, intended to    *
 * launcher web browsers to make web searches and other cgi activities a     *
 * little easier.                                                            *
 *                                                                           *
 * Copyright (C) 2000 Erik Greenwald <erik@smluc.org>                        *
 * This program is free software; you can redistribute it and/or modify      * 
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ****************************************************************************/

#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <applet-widget.h>
#include <popt.h>

#include "about.h"
#include "act.h"
#include "conf.h"
#include "armor.h"

GtkWidget *applet, *vbox;

GtkWidget *
make_applet_body (launcher ** l)
{
    int i = 0;
    GtkWidget *button;

    vbox = gtk_vbox_new (1, 0);
    if (l != NULL)
	while (l[i] != NULL)
	{
	    button = gtk_button_new_with_label (l[i]->name);
	    gtk_signal_connect (GTK_OBJECT (button), "clicked",
				GTK_SIGNAL_FUNC (boxinate), l[i]->launcher);
	    gtk_box_pack_start (GTK_BOX (vbox), button, 0, 1, 0);
	    i++;
	}
    return;
}

int
main (int argc, char **argv)
{
    launcher **l;
    char *myconf, *sysconf;

    myconf = g_strdup_printf ("%s/.gnome/gwci.xml", getenv ("HOME"));
    sysconf = g_strdup_printf ("%s/gwci.xml", SYSCONFDIR);

    applet_widget_init (PACKAGE, VERSION, argc, argv, NULL, 0, NULL);

    if ((l = load_conf (myconf)) == NULL)
	if ((l = load_conf (sysconf)) == NULL)
	{
	    printf ("Couldn't find the config file: gwci.xml\nFaking it...");
	    l = (launcher **) malloc (sizeof (launcher *) * 2);
	    l[0] = (launcher *) malloc (sizeof (launcher));
	    l[0]->name = strdup ("Empty");
	    l[0]->tooltip = strdup ("Empty");
	    l[0]->launcher = strdup ("echo Configure GWCI");
	    l[1] = NULL;
	}
    applet = applet_widget_new (PACKAGE);

    applet_widget_register_stock_callback (APPLET_WIDGET (applet),
					   "properties",
					   GNOME_STOCK_MENU_PROP,
					   _("Properties"), &conf, NULL);

    applet_widget_register_stock_callback (APPLET_WIDGET (applet), "help",
					   GNOME_STOCK_PIXMAP_HELP, _("Help"),
					   (AppletCallbackFunc) help, NULL);

    applet_widget_register_stock_callback (APPLET_WIDGET (applet), "about",
					   GNOME_STOCK_MENU_ABOUT, _("About"),
					   &about, NULL);

    make_applet_body (l);
    applet_widget_add (APPLET_WIDGET (applet), vbox);
    gtk_widget_show_all (applet);
    applet_widget_gtk_main ();
    return 0;
}
